WebMO - Computational chemistry on the WWW
Recent news

WebMO 13.0 is now available for free download!

WebMO 13.0 Pro and Enterprise have a variety of additional features and is available for purchase.

WebMO can now build bulk, periodic (1D, 2D, 3D) materials. Periodic calculations are supported in Gaussian, PWSCF, and VASP!

August 23, 2019

Pbs/Torque and version.pm Log Out | Topics | Search
Moderators | Edit Profile

WebMO Support Forum » WebMO Installation » Other » Pbs/Torque and version.pm « Previous Next »

Author Message
Gary Washington
Unregistered guest
Posted on Tuesday, October 16, 2012 - 9:28 am:   

I am running webmo 13.0.007e and I find that if I enable pbs and set the batch queue any job I try to run fails with an error that reports "can't locate version.pm" followed by the locations searched and a compile failure. If pbs is turned off the jobs run fine locally. I have tried multiple reinstalls with different perl paths and no help. Do you have an suggestions?
JR Schmidt
Moderator
Username: Schmidt

Post Number: 312
Registered: 11-2006
Posted on Tuesday, October 16, 2012 - 10:16 am:   

Two questions:

1)Can you post the complete error message?
2)What version of perl are you running ('perl -v' on the command line)

I am baffled since WebMO doesn't use version.pm. In fact, none of my test machines (which also use PBS/Torque) have version.pm installed, and WebMO works fine!
Gary Washington
Unregistered guest
Posted on Tuesday, October 16, 2012 - 11:26 am:   

Perl version 5.10.1
Can't locate version.pm in @INC (@INC contains: lib/ /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at /usr/share/perl5/Text/Balanced.pm line 13.
BEGIN failed--compilation aborted at /usr/share/perl5/Text/Balanced.pm line 13.
Compilation failed in require at /usr/share/perl5/Switch.pm line 58.
BEGIN failed--compilation aborted at /usr/share/perl5/Switch.pm line 58.
Compilation failed in require at run_parallel.cgi line 8.
BEGIN failed--compilation aborted at run_parallel.cgi line 8.
Compilation failed in require at ./run_nwchem.cgi line 12.

Add Your Message Here
Post:
Username: Posting Information:
This is a public posting area. Enter your username and password if you have an account. Otherwise, enter your full name as your username and leave the password blank. Your e-mail address is optional.
Password:
E-mail:
Options: Post as "Anonymous"
Enable HTML code in message
Automatically activate URLs in message
Action:

Topics | Last Day | Last Week | Tree View | Search | Help/Instructions | Program Credits Administration